package repository

import "nms_nbi/src/modules/network_element/model"

// INeVersion 网元版本信息 数据层接口
type INeVersion interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(neVersion model.NeVersion) []model.NeVersion

	// SelectByIds 通过ID查询
	SelectByIds(ids []string) []model.NeVersion

	// Insert 新增信息
	Insert(neVersion model.NeVersion) string

	// Update 修改信息
	Update(neVersion model.NeVersion) int64

	// DeleteByIds 批量删除信息
	DeleteByIds(ids []string) int64

	// CheckUniqueTypeAndID 校验网元类型和网元ID是否唯一
	CheckUniqueTypeAndID(neVersion model.NeVersion) string
}
